FreeBSD : asterisk and pjsip -- multiple vulnerabilities (f9f5c5a2-17b5-11e8-90b8-001999f8d30b)

High Nessus Plugin ID 106960

Synopsis

The remote FreeBSD host is missing one or more security-related updates.

Description

The Asterisk project reports :

AST-2018-002 - By crafting an SDP message with an invalid media format description Asterisk crashes when using the pjsip channel driver because pjproject's sdp parsing algorithm fails to catch the invalid media format description.

AST-2018-003 - By crafting an SDP message body with an invalid fmtp attribute Asterisk crashes when using the pjsip channel driver because pjproject's fmtp retrieval function fails to check if fmtp value is empty (set empty if previously parsed as invalid).

Solution

Update the affected packages.

See Also

https://downloads.asterisk.org/pub/security/AST-2018-002.html

https://downloads.asterisk.org/pub/security/AST-2018-003.html

http://www.nessus.org/u?d3a7bb52

Plugin Details

Severity: High

ID: 106960

File Name: freebsd_pkg_f9f5c5a217b511e890b8001999f8d30b.nasl

Version: Revision: 3.1

Type: local

Published: 2018/02/23

Modified: 2018/02/23

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:asterisk13, p-cpe:/a:freebsd:freebsd:pjsip, p-cpe:/a:freebsd:freebsd:pjsip-extsrtp, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2018/02/22

Vulnerability Publication Date: 2018/02/21